package com.usky.eg.domain;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import rx.BackpressureOverflow;

/**
 * <p>
 * 门禁_设备信息表
 * </p>
 *
 * @author zyj
 * @since 2024-11-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class EgDevice implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备uuid
     */
    private String deviceUuid;

    /**
     * 设备ID
     */
    private String deviceId;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 安装位置
     */
    private String installAddress;

    /**
     * 业务状态;1：未激活，2：已激活，3：禁用
     */
    private Integer serviceStatus;

    /**
     * IP
     */
    private String deviceIp;

    /**
     * 端口
     */
    private Integer devicePort;

    /**
     * 门禁号
     */
    private String egNumber;

    /**
     * 绑定人脸信息
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String bindFace;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 创建日期
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 组织机构ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 用户人脸信息记录
     */
    @TableField(exist = false)
    private List<MeetingFace> meetingFaceList;
}
