package com.usky.eg.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 门禁_通行记录表
 * </p>
 *
 * @author zyj
 * @since 2024-11-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class EgRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 用户姓名
     */
    private String userName;

    /**
     * 通行时间
     */
    private LocalDateTime passTime;

    /**
     * 门禁设备主键id
     */
    private Integer egDeviceId;

    /**
     * 通行方式(1、人脸 2、刷卡 3、手机)
     */
    private Integer passType;

    /**
     * 人脸图片数据 base_64编码
     */
    private String faceBase;

    /**
     * 卡号
     */
    private String cardNum;

    /**
     * 通行结果
     */
    private String passResult;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 创建日期
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 组织机构ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 设备Uuid
     */
    @TableField(exist = false)
    private String deviceUuid;

    /**
     * 域名
     */
    @TableField(exist = false)
    private String domain;

    /**
     * 门禁设备信息集合
     */
    @TableField(exist = false)
    private EgDevice egDevice;
}
