package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 静安电子督察单数据
 * </p>
 *
 * @author han
 * @since 2024-03-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DataJinganAnalysis implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 一级平台密钥
     */
    private String appKey;

    /**
     * 时间
     */
    private LocalDateTime timestamp;

    /**
     * 数据格式
     */
    private String format;

    /**
     * 版本号
     */
    private String v;

    /**
     * 签名加密方式
     */
    private String signMethod;

    /**
     * 建筑物群id
     */
    private String pid;

    /**
     * 建筑物ID
     */
    private String bid;

    /**
     * 楼层ID
     */
    private String fid;

    /**
     * 督察单id
     */
    private String superviseId;

    /**
     * 督查单编号
     */
    private String superviseCode;

    /**
     * 处理状态（0未处理，1处理成功）
     */
    private Integer status;

    /**
     * 督察单内容
     */
    private String content;

    /**
     * 类型（1火警，2故障，3屏蔽，4隐患 (当type的值是隐患4时只有device_id,aid, 当type的值是1,2,3时只有mainframe_id, loop_number, position_number)）
     */
    private Integer type;

    /**
     * 二级平台设备id
     */
    private String deviceId;

    /**
     * 一级平台属性id
     */
    private String aid;

    /**
     * 二级平台回路编号（部件区号）
     */
    private String loopNumber;

    /**
     * 二级平台点位编号（部件位号）
     */
    private String positionNumber;

    /**
     * 二级平台主机id
     */
    private String mainframeId;

    /**
     * 签名
     */
    private String sign;

    /**
     * 单位编号
     */
    private String companyCode;

    /**
     * 处理人
     */
    private String handleBy;

    /**
     * 处理时间
     */
    private LocalDateTime handleTime;

    /**
     * 处理内容
     */
    private String handleContent;

    /**
     * 处理人电话
     */
    private String handlePhone;

    /**
     * 处理状态;0 未处理，1 已处理
     */
    private Integer handleStatus;

    /**
     * 组织结构ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;


}
