package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author han
 * @since 2024-03-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DataJinganPerson implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 人工督查单解析后ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 物联网服务商接入平台给服务商分配的app_key
     */
    private String appKey;

    /**
     * 时间
     */
    private LocalDateTime timestamp;

    /**
     * 响应格式 : json
     */
    private String format;

    /**
     * API协议版本: 1.0
     */
    private String version;

    /**
     * 签名的摘要算法: md5
     */
    private String signMethod;

    /**
     * 一级平台的人工督察单id
     */
    private String artificialId;

    /**
     * 一级平台的建筑群id
     */
    private String pid;

    /**
     * 人工督察单编号
     */
    private String artificialCode;

    /**
     * 一级平台单位id
     */
    private String companyId;

    /**
     * 督察单内容
     */
    private String content;

    /**
     * 告警处理状态：0未处理，1处理成功
     */
    private Integer status;

    /**
     * 签名值，二级平台根据这个签名值判断数据来源
     */
    private String sign;

    /**
     * 二级平台单位编号
     */
    private String companyCode;

    /**
     * 处理人
     */
    private String handleBy;

    /**
     * 处理时间
     */
    private LocalDateTime handleTime;

    /**
     * 处理内容
     */
    private String handleContent;

    /**
     * 处理人电话
     */
    private String handlePhone;

    /**
     * 处理状态;0 未处理，1 已处理
     */
    private Integer handleStatus;

    /**
     * 组织结构ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;


}
