package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 事件管理表
 * </p>
 *
 * @author han
 * @since 2024-05-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class PatrolInspectionEvent implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 巡检人ID
     */
    private Integer personnelId;

    /**
     * 巡检人名称
     */
    private String personnelName;

    /**
     * 事件名称
     */
    private String eventName;

    /**
     * 事件类型
     */
    private Integer eventType;

    /**
     * 事件等级
     */
    private Integer eventLevel;

    /**
     * 事件分类
     */
    private Integer eventCategory;

    /**
     * 事件图片
     */
    private String eventImage;

    /**
     * 处置状态
     */
    private Integer handleStatus;

    /**
     * 设备ID
     */
    private String deviceId;

    /**
     * 处置人
     */
    private String handleName;

    /**
     * 处置时间
     */
    private LocalDateTime handleTime;

    /**
     * 处置图片
     */
    private String handleImage;

    /**
     * 处置内容
     */
    private String handleContent;

    /**
     * 备注
     */
    private String remark;

    /**
     * 租户号
     */
    private Integer tenantId;

    /**
     * 组织机构ID
     */
    private Integer deptId;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 主计划ID
     */
    @TableField(exist = false)
    private Integer planId;

}
