package com.usky.fire.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.usky.fire.domain.PatrolInspectionAttendance;
import com.usky.common.mybatis.core.CrudService;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 签到、签退信息记录表 服务类
 * </p>
 *
 * @author fu
 * @since 2024-02-05
 */
public interface PatrolInspectionAttendanceService extends CrudService<PatrolInspectionAttendance> {

    /**
     * 签到记录分页查询
     * @param pageNum
     * @param pageSize
     * @param operateCode
     * @param operator
     * @param startTime
     * @param endTime
     * @return
     */
    IPage<Map<String, Object>> pageList(Integer pageNum, Integer pageSize, String operateCode, String operator, LocalDateTime startTime, LocalDateTime endTime);

    /**
     * 新增签到记录
     * @param patrolInspectionAttendance
     */
    void add(PatrolInspectionAttendance patrolInspectionAttendance);

    /**
     * 查询部门名
     * @param id
     * @return
     */
    String getDeptName(Integer id);

    /**
     * 签到、签退状态人数统计
     * @return
     */
    Map<String, Integer> securityStatistics();
}
