package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * <p>
 * 巡检人员表
 * </p>
 *
 * @author JCB
 * @since 2022-07-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PatrolInspectionPersonnelVo implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 巡检人员表主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 用户ID
     */
    private Integer userId;

    /**
     * 区域ID
     */
    private Integer areaId;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 使能标识（0 不生效，1 生效）
     */
    private Integer enable;

    /**
     * 单位ID
     */
    private Integer companyId;

    /**
     * 人员名称
     */
    private String name;

    /**
     * 证件信息
     */
    private String documentInfo;

    /**
     * 民族
     */
    private String nation;

    /**
     * 文化程序（1、小学 2、初中 3、高中 4、大学 5、其他 ）
     */
    private Integer eduLevel;

    /**
     * 户籍地址
     */
    private String registerResidence;

    /**
     * 居住地址
     */
    private String residence;

    /**
     * 物理卡号
     */
    private String physicsCard;

    /**
     * 身份证号
     */
    private String idCard;

    /**
     * 姓名
     */
    private String fullName;

    /**
     * 是否在职（0、不在职 1、在职）
     */
    private Integer whetherEmploy;

    /**
     * 出生日期
     */
    private LocalDate birthDate;

    /**
     * 用户性别（0男 1女 2未知）
     */
    private Integer sex;

    /**
     * 联系电话
     */
    private String phoneNumber;

    /**
     * 主要职务
     */
    private Integer mainPosition;

    /**
     * 服务内容
     */
    private String serviceContent;

    /**
     * 所属派遣公司
     */
    private String dispatchCompany;

    /**
     * 所属保安从业公司
     */
    private String securityCompany;

}
