package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 巡检记录表
 * </p>
 *
 * @author JCB
 * @since 2022-07-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PatrolInspectionRecordExportVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 巡检记录表主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 序号
     */
    @Excel(name = "序号")
    private Integer xh;

    /**
     * 地点号码
     */
    @Excel(name = "地点号码")
    private String siteNubmber;

    /**
     * 地点类型
     */
    @Excel(name = "地点类型", readConverterExp = "1=二维码,2=NFC")
    private Integer siteType;

    /**
     * 区域名称
     */
    @Excel(name = "区域名称")
    private String areaName;

    /**
     * 地点名称
     */
    @Excel(name = "地点名称")
    private String siteName;

    /**
     * 巡检人员
     */
    @Excel(name = "巡检人员")
    private String name;

    /**
     * 联系电话
     */
    @Excel(name = "联系电话")
    private String phone;

    /**
     * 计划类型（1 普通计划，2 按次计划）
     */
    @Excel(name = "计划类型", readConverterExp = "1=普通计划,2=按次计划")
    private Integer planType;

    /**
     * 定位 （0：未定位 1：已定位）
     */
    private Integer siteStatus;

    /**
     * 经度
     */
    @Excel(name = "经度")
    private String longitude;

    /**
     * 纬度
     */
    @Excel(name = "纬度")
    private String latitude;

    /**
     * 开始时间
     */
    @Excel(name = "开始时间")
    private String startDate;

    /**
     * 结束时间
     */
    @Excel(name = "结束时间")
    private String endDate;

    /**
     * 创建时间/巡检时间
     */
    @Excel(name = "巡检时间")
    private String createTime;

    /**
     * 巡检计划主表ID
     */
    private Integer planId;

    /**
     * 巡检计划子表ID
     */
    private Integer planSonId;

    /**
     * 巡检地点ID
     */
    private Integer siteId;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 单位ID
     */
    private Integer companyId;

    /**
     * 用户名
     */
    private String creator;

    /**
     * 巡检备注
     */
    @Excel(name = "巡检备注")
    private String remarks;

    /**
     * 内容标题
     */
    @Excel(name = "内容标题")
    private List<String> contentTitle;

    /**
     * 提交方式
     */
    @Excel(name = "提交方式")
    private List<String> submissionMethod;

    /**
     * 选项内容
     */
    @Excel(name = "选项内容")
    private List<String> optionName;

    /**
     * 内容备注
     */
    @Excel(name = "内容备注")
    private List<String> contentRemarks;

    /**
     * 图片数据
     */
    @Excel(name = "巡检照片1", cellType = Excel.ColumnType.IMAGE)
    private String imagePath1;
    /**
     * 图片数据
     */
    @Excel(name = "巡检照片2", cellType = Excel.ColumnType.IMAGE)
    private String imagePath2;
    /**
     * 图片数据
     */
    @Excel(name = "巡检照片3", cellType = Excel.ColumnType.IMAGE)
    private String imagePath3;
    /**
     * 图片数据
     */
    @Excel(name = "巡检照片4", cellType = Excel.ColumnType.IMAGE)
    private String imagePath4;
    /**
     * 图片数据
     */
    @Excel(name = "巡检照片5", cellType = Excel.ColumnType.IMAGE)
    private String imagePath5;

}
