package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.usky.fire.domain.PatrolInspectionRecordOption;
import com.usky.fire.domain.PatrolInspectionRecordPicture;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 巡检记录表
 * </p>
 *
 * @author JCB
 * @since 2022-07-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PlanRecordVo implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 巡检记录表主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 地点号码
     */
    private String siteNubmber;

    /**
     * 地点类型
     */
    private Integer siteType;

    /**
     * 区域名称
     */
    private String areaName;

    /**
     * 地点名称
     */
    private String siteName;

    /**
     * 巡检人员
     */
    private String name;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 计划类型（1 普通计划，2 按次计划）
     */
    private Integer planType;

    /**
     * 定位 （0：未定位 1：已定位）
     */
    private Integer siteStatus;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 开始时间
     */
    private LocalDateTime startDate;

    /**
     * 结束时间
     */
    private LocalDateTime endDate;

    /**
     * 创建时间/巡检时间
     */
    private LocalDateTime createTime;

    /**
     * 巡检计划主表ID
     */
    private Integer planId;

    /**
     * 巡检计划子表ID
     */
    private Integer planSonId;

    /**
     * 巡检地点ID
     */
    private Integer siteId;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 单位ID
     */
    private Integer companyId;

    /**
     * 用户名
     */
    private String creator;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 图片路径
     */
    private List<PatrolInspectionRecordPicture> recordPictureList;

    /**
     * 巡检内容选项
     */
    private List<PatrolInspectionRecordOption> recordOptionList;

    /**
     * 设备ID
     */
    @TableField(exist = false)
    private String deviceId;

}
