package com.usky.iot.factory;

import com.usky.common.core.exception.FeignBadRequestException;
import com.usky.iot.RemotePmService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;


/**
 * 用户服务降级处理
 *
 * @author ruoyi
 */
@Component
public class RemotePmFactory implements FallbackFactory<RemotePmService>
{
    private static final Logger log = LoggerFactory.getLogger(RemotePmFactory.class);

    @Override
    public RemotePmService create(Throwable throwable)
    {
        log.error("用户服务调用失败:{}", throwable.getMessage());
        return new RemotePmService()
        {
            @Override
            public void executeTimedSending() {
                throw new FeignBadRequestException(500,"工作报告定时发送异常"+throwable.getMessage());
            }

        };
    }
}
