package com.usky.iot.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * APP用户心跳信息
 * </p>
 *
 * @author han
 * @since 2024-03-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseAppInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备ID
     */
    private String deviceId;

    /**
     * 用户账号
     */
    private String userName;

    /**
     * 设备型号
     */
    private String deviceModel;

    /**
     * 访问IP
     */
    private String accessIp;

    /**
     * 网络类型
     */
    private String networkType;

    /**
     * 网络服务商
     */
    private String networkService;

    /**
     * 操作系统
     */
    private String operateSystem;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 更新人
     */
    private String updateBy;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 组织机构ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 设备状态（0 正常，1 故障）
     */
    private Integer deviceStatus;

    /**
     * 自检状态（0 未自检，1 自检）
     */
    private Integer checkStatus;


}
