package com.usky.iot.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 产品命令表
 * </p>
 *
 * @author han
 * @since 2024-10-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class DmpProductCommand implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 产品编码
     */
    private String productCode;

    /**
     * 命令编码
     */
    private String commandCode;

    /**
     * 命令名称
     */
    private String commandName;

    /**
     * 数据类型（1、状态量 2、模拟量）
     */
    private Integer dataType;

    /**
     * 单位
     */
    private String commandUnit;

    /**
     * 最大值
     */
    private BigDecimal maximum;

    /**
     * 最小值
     */
    private BigDecimal minimum;

    /**
     * 命令字典
     */
    private String commandDict;

    /**
     * 命令描述
     */
    private String commandDescribe;

    /**
     * 备注
     */
    private String remark;

    /**
     * 删除标识;0：未删除，1：已删除
     */
    private Integer deleteFlag;

    /**
     * 创建人
     */
    private String createdBy;

    /**
     * 创建时间
     */
    private LocalDateTime createdTime;

    /**
     * 更新人
     */
    private String updatedBy;

    /**
     * 更新时间
     */
    private LocalDateTime updatedTime;

    /**
     * 租户号
     */
    private Integer tenantId;


}
