package com.usky.iot.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 消息中心_移动端注册表
 * </p>
 *
 * @author han
 * @since 2024-05-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class MceMbuser implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 电话号码
     */
    private String phone;

    /**
     * 微信用户id
     */
    private String openid;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 应用ID
     */
    private String cids;

    /**
     * 钉钉用户id
     */
    private String dingTalkId;

    /**
     * 平台token
     */
    @TableField(exist = false)
    private String accessToken;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;


}
