package com.usky.iot.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 报告接收表
 * </p>
 *
 * @author han
 * @since 2024-07-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class PmReceive implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 接收人ID
     */
    private Long receiverId;

    /**
     * 接收人
     */
    private String receiverName;

    /**
     * 报告id
     */
    private Integer reportId;


    /**
     * 租户号
     */
    private Integer tenantId;

    /**
     * 组织机构ID
     */
    private Long deptId;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 是否已读;0、未读，1、已读
     */
    private Integer readFlag;


}
