package com.usky.iot.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import lombok.*;
import org.springframework.data.annotation.Transient;

/**
 * <p>
 * 工作内容表
 * </p>
 *
 * @author fu
 * @since 2024-05-20
 */

@Data
@EqualsAndHashCode(callSuper = false)
public class PmWorkContent implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 工作内容表主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 工作报告表主键ID
     */
    private Integer reportId;

    /**
     * 项目ID
     */
    private Integer projectId;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 提交人ID
     */
    private Long submitterId;

    /**
     * 工作内容
     */
    private String workContent;

    /**
     * 工时
     */
    private BigDecimal workTime;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 部门ID
     */
    private Long deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;

}
