package com.usky.iot.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 微信用户openid信息表
 * </p>
 *
 * @author han
 * @since 2024-04-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SysWxOpuser implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 电话号码
     */
    private String phone;

    /**
     * 微信用户id
     */
    private String openid;

    /**
     * 类型: wx 微信，app 手机
     */
    private String type;

    /**
     * 注册时间
     */
    private LocalDateTime createdTime;

    /**
     * 状态：0.不启用 1.启用
     */
    private Integer status;

    /**
     * 组织机构ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;


}
