package com.usky.iot.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 视频配置信息表
 * </p>
 *
 * @author han
 * @since 2024-10-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class VcDevice implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 视频中心主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 视频编号
     */
    private String videoNumber;

    /**
     * 视频名称
     */
    private String videoName;

    /**
     * 视频流
     */
    private String videoStream;

    /**
     * 摄像机类型
     */
    private Integer cameraType;

    /**
     * 流媒体ID
     */
    private Integer streamId;

    /**
     * 设备分组ID
     */
    private Integer groupId;

    /**
     * 排序
     */
    private Integer orderNum;

    /**
     * 获取方式
     */
    private Integer access;

    /**
     * 视频描述
     */
    private String videoDesc;

    /**
     * 摄像头IP
     */
    private String videoIp;

    /**
     * 摄像头端口
     */
    private Integer videoPort;

    /**
     * 摄像头账号
     */
    private String accountNumber;

    /**
     * 摄像头密码
     */
    private String videoPassword;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 部门ID
     */
    private Long deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 删除标识（默认0，已删除1）
     */
    private Integer delFlag;


}
