package com.usky.iot.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author han
 * @since 2024-10-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class VcStream implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 流媒体主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 流媒体名称
     */
    private String streamName;

    /**
     * 平台地址
     */
    private String platformAddress;

    /**
     * 用户KEY
     */
    private String userKey;

    /**
     * 用户密码
     */
    private String userPassword;

    /**
     * 平台类型
     */
    private Integer platformType;

    /**
     * 部署环境
     */
    private String deployAmbient;

    /**
     * 流媒体描述
     */
    private String streamDesc;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 部门ID
     */
    private Long deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 删除标识（默认0，已删除1）
     */
    private Integer delFlag;


}
