package com.usky.demo.factory;

import com.usky.common.core.bean.ApiResult;
import com.usky.common.core.exception.BusinessException;
import com.usky.common.core.exception.FeignBadRequestException;
import com.usky.demo.RemoteMeetingService;
import com.usky.demo.RemoteUserService;
import com.usky.demo.domain.SysUserVO;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;


/**
 * 用户服务降级处理
 *
 * @author ruoyi
 */
@Component
public class RemoteMeetingFallbackFactory implements FallbackFactory<RemoteMeetingService>
{
    private static final Logger log = LoggerFactory.getLogger(RemoteMeetingFallbackFactory.class);

    @Override
    public RemoteMeetingService create(Throwable throwable)
    {
        log.error("用户服务调用失败:{}", throwable.getMessage());
        return new RemoteMeetingService() {
            @Override
            public void meetingInfoStatus() {
                throw new FeignBadRequestException(500,"同步会议室预约状态异常"+throwable.getMessage());
            }
        };
    }
}
