package com.usky.meeting.domain;

import java.time.LocalDateTime;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.squareup.moshi.Json;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 预约审批表
 * </p>
 *
 * @author zyj
 * @since 2024-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class MeetingApprove implements Serializable {

    private static final long serialVersionUID = 1L;

    private String id;

    /**
     * 会议室预约id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long meetingId;

    /**
     * 申请用户id
     */
    private Long initiatorId;

    /**
     * 审批人
     */
    private String approveUserId;

    /**
     * 审批结果
     */
    private String approveResult;

    /**
     * 审批建议
     */
    private String approveSuggest;

    /**
     * 审批时间
     */
    private LocalDateTime approveDate;

    /**
     * 组织机构ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;


}
