package com.usky.meeting.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 会议审批用户
 * </p>
 *
 * @author zyj
 * @since 2024-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class MeetingApproveUser implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 会议id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long meetingId;

    /**
     * 审批用户id
     */
    private Long dmUserId;

    /**
     * 组织机构ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;


}
