package com.usky.meeting.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Entity;
import javax.persistence.Id;

/**
 * <p>
 * 会议参会人员关联表
 * </p>
 *
 * @author zyj
 * @since 2024-03-08
 */
@Data
@Entity
@TableName("meeting_attendee")
@EqualsAndHashCode(callSuper = false)
public class MeetingAttendee implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 会议id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long meetingId;

    /**
     * 参与人id
     */
    private Long userId;

    /**
     * 是否签到(0-否 1-是)
     */
    private Integer isSign;

    /**
     * 签到时间
     */
    private LocalDateTime signDate;

    /**
     * 是否签退(0-否 1-是)
     */
    private Integer isSignOut;

    /**
     * 签退时间
     */
    private LocalDateTime signOutDate;

    /**
     * 签到方式(0.人工签到 1.人脸签到)
     */
    private Integer signType;

    /**
     * 组织机构ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 签退方式(0.人工签退 1.人脸签退)
     */
    private Integer signOutType;


}
