package com.usky.meeting.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.usky.meeting.service.vo.DmpDeviceInfoVO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author zyj
 * @since 2024-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class MeetingFace implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "fid", type = IdType.AUTO)
    private Integer fid;

    /**
     * 图片数据 base_64编码
     */
    private String faceBase;

    /**
     * 插入时间
     */
    private LocalDateTime createTime;

    /**
     * 验证次数
     */
    private Integer vefNum;

    /**
     * 人脸名称
     */
    private String faceName;

    /**
     * 人脸备注
     */
    private String remark;

    /**
     * 人脸是否可用，(0==可用，1,不可用)
     */
    private Integer faceStatus;

    /**
     * 卡号
     */
    private String cardNum;

    /**
     * 绑定设备
     */
    private String bindDevice;

    /**
     * 组织机构ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 设备对象
     */
    @TableField(exist = false)
    private List<DmpDeviceInfoVO> deviceInfos;

    /**
     * 部门信息
     */
    @TableField(exist = false)
    private SysDept sysDept;
}
