package com.usky.meeting.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 会议文件
 * </p>
 *
 * @author zyj
 * @since 2024-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class MeetingFile implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "file_id", type = IdType.AUTO)
    private Long fileId;

    /**
     * 会议id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long meetingId;

    /**
     * 文件存储id(tool_local_storage)
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long storageId;

    /**
     * 文件存储地址
     */
    private String fileUrl;

    /**
     * 文件类型(0-会议所需文件,1-会议记录文件,2-高层会议文件)
     */
    private Integer fileType;

    /**
     * 上传用户(dm_user)
     */
    private String uploadUser;

    /**
     * 上传日期
     */
    private LocalDateTime uploadTime;

    /**
     * 组织机构ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 文件名称
     */
    private String fileName;

}
