/*
 *  Copyright 2019-2020 Zheng Jie
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package com.usky.meeting.repository;

import com.usky.meeting.domain.SysUser;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @author Zheng Jie
 * @date 2018-11-22
 */
public interface UserRepository extends JpaRepository<SysUser, String>, JpaSpecificationExecutor<SysUser> {
//
//    /**
//     * 根据用户名查询
//     * @param username 用户名
//     * @return /
//     */
//    SysUser findByUsername(String username);
//
//    /**
//     * 根据工号查询
//     * @param userNumber 工号
//     * @return /
//     */
//    SysUser findByUserNumber(String userNumber);
//
//    /**
//     * 根据邮箱查询
//     * @param email 邮箱
//     * @return /
//     */
//    SysUser findByEmail(String email);
//
//    /**
//     * 根据手机号查询
//     * @param phone 手机号
//     * @return /
//     */
//    SysUser findByPhone(String phone);
//
//    /**
//     * 修改密码
//     * @param username 用户名
//     * @param pass 密码
//     * @param lastPasswordResetTime /
//     */
//    @Modifying
//    @Query(value = "update sys_user set password = ?2 , pwd_reset_time = ?3 where username = ?1",nativeQuery = true)
//    void updatePass(String username, String pass, Date lastPasswordResetTime);
//
//    @Modifying
//    @Query(value = "update sys_user set password = ?2 , pwd_reset_time = ?3, org_password = ?4, extends = ?5 where username = ?1",nativeQuery = true)
//    void updatePass(String username, String pass, Date lastPasswordResetTime,String orgPass,String extend);
//
//    /**
//     * 修改邮箱
//     * @param username 用户名
//     * @param email 邮箱
//     */
//    @Modifying
//    @Query(value = "update sys_user set email = ?2 where username = ?1",nativeQuery = true)
//    void updateEmail(String username, String email);
//
//    /**
//     * 根据角色查询用户
//     * @param roleId /
//     * @return /
//     */
//    @Query(value = "SELECT u.* FROM sys_user u, sys_users_roles r WHERE" +
//            " u.user_id = r.user_id AND r.role_id = ?1", nativeQuery = true)
//    List<SysUser> findByRoleId(Long roleId);
//
//    /**
//     * 根据角色查询用户
//     * @param roleId /
//     * @return /
//     */
//    @Query(value = "SELECT u.user_id as userId,u.username FROM sys_user u, sys_users_roles r WHERE" +
//            " u.user_id = r.user_id AND r.role_id = ?1", nativeQuery = true)
//    List<Map<String,Object>> findByRoleId2(Long roleId);
//
//    /**
//     * 根据角色中的部门查询
//     * @param deptId /
//     * @return /
//     */
//    @Query(value = "SELECT u.* FROM sys_user u, sys_users_roles r, sys_roles_depts d WHERE " +
//            "u.user_id = r.user_id AND r.role_id = d.role_id AND d.dept_id = ?1 group by u.user_id", nativeQuery = true)
//    List<SysUser> findByRoleDeptId(String deptId);
//
//    /**
//     * 根据菜单查询
//     * @param id 菜单ID
//     * @return /
//     */
//    @Query(value = "SELECT u.* FROM sys_user u, sys_users_roles ur, sys_roles_menus rm WHERE\n" +
//            "u.user_id = ur.user_id AND ur.role_id = rm.role_id AND rm.menu_id = ?1 group by u.user_id", nativeQuery = true)
//    List<SysUser> findByMenuId(Long id);
//
//    /**
//     * 根据Id删除
//     * @param ids /
//     */
//    void deleteAllByIdIn(Set<String> ids);
//
//    /**
//     * 根据岗位查询
//     * @param ids /
//     * @return /
//     */
//    @Query(value = "SELECT count(1) FROM sys_user u, sys_users_jobs j WHERE u.user_id = j.user_id AND j.job_id IN ?1", nativeQuery = true)
//    int countByJobs(Set<Long> ids);
//
//    /**
//     * 根据部门查询
//     * @param deptIds /
//     * @return /
//     */
//    @Query(value = "SELECT count(1) FROM sys_user u WHERE u.dept_id IN ?1", nativeQuery = true)
//    int countByDepts(Set<String> deptIds);
//
//    /**
//     * 根据角色查询
//     * @param ids /
//     * @return /
//     */
//    @Query(value = "SELECT count(1) FROM sys_user u, sys_users_roles r WHERE " +
//            "u.user_id = r.user_id AND r.role_id in ?1", nativeQuery = true)
//    int countByRoles(Set<Long> ids);
//
//    @Query(value = "SELECT u.* FROM sys_user u WHERE " +
//            "u.dm_user_id = :dmUserId AND if(:userId != '',u.user_id != :userId,1=1)",nativeQuery = true)
//    List<SysUser> findByDmUserId(@Param("dmUserId")String dmUserId, @Param("userId") String userId);
//
//
//    /**
//     * 根据单位查询
//     * @param ids /
//     * @return /
//     */
//    @Query(value = "SELECT count(1) FROM sys_user u WHERE u.company_id IN ?1", nativeQuery = true)
//    int countByCompanies(Set<Long> ids);

    /**
     * 根据单位查询
     * @param dmUserId /
     * @return /
     */
    @Query(value = "SELECT u.* FROM sys_user u WHERE " +
            "u.user_id = :dmUserId",nativeQuery = true)
    SysUser getUserByDmUserId(@Param("dmUserId")String dmUserId);
//
//    /**
//     * 根据会议id查询所有参会人的账号
//     * @return /
//     */
//    @Query(value = "select su.username from dm_meeting_attendee as ma left join sys_user as su on ma.user_id = su.user_id where ma.meeting_id = :meetingId",nativeQuery = true)
//    List<String> findUsernameByMeetingId(@Param("meetingId")Long meetingId);
//
//    /**
//     * 根据会议id查询所有参会人的账号
//     * @return /
//     */
//    @Query(value = "select su.email from dm_meeting_attendee as ma left join sys_user as su on ma.user_id = su.user_id where ma.meeting_id = :meetingId",nativeQuery = true)
//    List<String> findEmailByMeetingId(@Param("meetingId")Long meetingId);
//
//    /**
//     * 根据会议id查询所有参会人的账号
//     * @return /
//     */
//    @Query(value = "select su.phone from dm_meeting_attendee as ma left join sys_user as su on ma.user_id = su.user_id where ma.meeting_id = :meetingId",nativeQuery = true)
//    List<String> findPhoneByMeetingId(@Param("meetingId")Long meetingId);
}
