/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package com.usky.meeting.service.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import com.usky.meeting.service.dto.DmMeetingRoomDto;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import java.io.Serializable;
import java.sql.Timestamp;

/**
* @website https://el-admin.vip
* @description /
* @author shiguangji
* @date 2021-03-12
**/
@Data
public class DmDeviceDto implements Serializable {

    /** 防止精度丢失 */
    @JSONField(serializeUsing = ToStringSerializer.class)
    private Long deviceId;

    /** 设备名称 */
    private String deviceName;

    /** 文件存储id(tool_local_storage) */
    private String storageId;

    /** 设备图片 */
    private String imgPath;

    /** 设备铭牌 */
    private String nameplate;

    /** 所属会议室 */
    private DmMeetingRoomDto room;

    /** 登记时间 */
    private Timestamp registerDate;

    /** 维护人 */
    private String maintainer;

    /** 联系方式 */
    private String contacts;

    /** 备注 */
    private String remark;

    private MultipartFile file;

}