/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package com.usky.meeting.service.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import lombok.Data;

import java.io.Serializable;
import java.sql.Timestamp;

/**
* @website https://el-admin.vip
* @description /
* @author shiguangji
* @date 2021-04-16
**/
@Data
public class DmMeetingFileDto implements Serializable {

    /** 防止精度丢失 */
    @JSONField(serializeUsing = ToStringSerializer.class)
    private Long fileId;

    /** 会议id */
    private Long meetingId;

    /** 文件存储id(tool_local_storage) */
    private Long storageId;

    private String fileUrl;

    /** 文件类型(0-会议记录文件,1-会议所需文件,2-高层会议文件) */
    private Long fileType;

    /** 上传用户(dm_user) */
    private String uploadUser;

    /** 上传日期 */
    private Timestamp uploadTime;
}