/*
*  Copyright 2019-2020 Zheng Jie
*
*  Licensed under the Apache License, Version 2.0 (the "License");
*  you may not use this file except in compliance with the License.
*  You may obtain a copy of the License at
*
*  http://www.apache.org/licenses/LICENSE-2.0
*
*  Unless required by applicable law or agreed to in writing, software
*  distributed under the License is distributed on an "AS IS" BASIS,
*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*  See the License for the specific language governing permissions and
*  limitations under the License.
*/
package com.usky.meeting.service.dto;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.squareup.moshi.Json;
import com.usky.meeting.domain.MeetingFloor;
import lombok.Data;

import java.io.Serializable;
import java.sql.Timestamp;
import java.time.LocalDateTime;
import java.util.List;

/**
* @website https://el-admin.vip
* @description /
* @author shiguangji
* @date 2021-03-12
**/
@Data
public class DmMeetingRoomDto implements Serializable {

    /** 主键 */
    /** 防止精度丢失 */
    @JSONField(serializeUsing = ToStringSerializer.class)
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long roomId;

    /** 会议室名称 */
    private String roomName;

    /** 所在楼层 */
    private MeetingFloor dmFloor;

//    //    审批人
//    private DmUserDto dmUser;


    /** 会议室简介 */
    private String description;

    /** 会议室图片 */
    private String imgPath;

    /** 容纳人数 */
    private Integer capacity;

    /** 会议室所在位置 */
    private String position;

    /** 维护人 */
    private String maintainer;

    /** 联系方式 */
    private String contacts;

    /** 备注 */
    private String remark;

    /** 会议室使用状态(0-未使用 1-使用中) */
    private Integer roomStatus;

    /** 会议室预约状态(0-未预约 1-已预约) */
    private Integer reserveStatus;

    /** 会议室状态(0.启用 1.停用) */
    private Integer status;

    /** 会议室环境 */
    private String environmental;

    /** 最近一次使用时间(正在使用的会议室,在预约时间外延后一小时开发预约) */
    private LocalDateTime lastUseTime;

    /** 是否需要审批(0-否 1-是) */
    private Integer isApprove;

    private String approver;

    private String approverId;

    private JSONArray meetingRoomUsage;

    private JSONArray dmMeetingList;

    private List<Integer> meetingRoomUsageMonth;

//    private Set<Long> approveUsers;
}