package com.usky.meeting.service.vo;

import lombok.Data;

@Data
public class MeetingFaceVO {

    /**
     * 返回消息
     */
    private String msg;

    /**
     * 人脸名称
     */
    private String faceName;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 状态码
     */
    private int code;

    /**
     * 图片数据 base_64编码
     */
    private String faceBase;

    /**
     * 卡号
     */
    private String cardNum;

    /**
     * 验证类型(1、人脸 2、卡号)
     */
    private Integer vefType;

    /**
     * 组织机构ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;


    /*成功*/
    public static final Integer SUCCESS_CODE = 200;
    /*相似匹配度*/
    public static final Integer SATISFY_SCORE = 80;
    /*调用腾讯云接口发生的异常*/
    public static final Integer FACE_ERROR = -1;
    /*数据库没有该人脸*/
    public static final Integer NOT_FOUND_FACE = -2;
    /*人脸数据为空*/
    public static final Integer NULL_ERROR = -3;
    /*当前人脸被禁用*/
    public static final Integer FORBIDDEN_FACE = -4;
    /*初始化人脸*/
    public static final Integer INIT_FACE = 201;
}
