package com.usky.meeting.service.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import com.usky.meeting.domain.MeetingFloor;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;
import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@TableName("dm_meeting_room")
public class MeetingRoomVO implements Serializable {

    private Long roomId;

    /**
     * 会议室名称
     */
    private String roomName;

    @OneToOne
    @JoinColumn(name = "floor_id")
    @ApiModelProperty(value = "所在楼层")
    private MeetingFloor dmFloor;

    /**
     * 会议室简介
     */
    private String description;

    /**
     * 会议室图片
     */
    private String imgPath;

    /**
     * 容纳人数
     */
    private Integer capacity;

    /**
     * 会议室所在位置
     */
    private String position;

    /**
     * 维护人
     */
    private String maintainer;

    /**
     * 联系方式
     */
    private String contacts;

    /**
     * 备注
     */
    private String remark;

    /**
     * 会议室使用状态(0-未使用 1-使用中)
     */
    private Long roomStatus;

    /**
     * 会议室预约状态(0-未预约 1-已预约)
     */
    private Long reserveStatus;

    /**
     * 会议室状态(00.启用 01.停用)
     */
    private String status;

    /**
     * 会议室环境
     */
    private String environmental;

    /**
     * 最近一次使用时间(正在使用的会议室,在预约时间外延后一小时开发预约)
     */
    private LocalDateTime lastUseTime;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 创建日期
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 是否需要审批(0-否 1-是)
     */
    private Long isApprove;
}
