package com.usky.oa.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.common.core.bean.CommonPage;
import com.usky.common.log.annotation.Log;
import com.usky.common.log.enums.BusinessType;
import com.usky.oa.domain.OaQjdDocument;
import com.usky.oa.service.OaQjdDocumentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 请假单据表 前端控制器
 * </p>
 *
 * @author fu
 * @since 2024-12-10
 */
@RestController
@RequestMapping("/oaQjDocument")
public class OaQjdDocumentController {

    @Autowired
    private OaQjdDocumentService oaQjdDocumentService;

    // 新增请假单
    @Log(title = "新增请假单", businessType = BusinessType.INSERT)
    @PostMapping("/addQjDocument")
    public void addQjDocument(@RequestBody OaQjdDocument oaQjdDocument) {
        oaQjdDocumentService.addQjDocument(oaQjdDocument);
    }

    // 更新请假单
    @Log(title = "更新请假单", businessType = BusinessType.UPDATE)
    @PostMapping("/updateQjDocument")
    public void updateQjDocument(@RequestBody OaQjdDocument oaQjdDocument) {
        oaQjdDocumentService.updateQjDocument(oaQjdDocument);
    }

    // 删除请假单
    @Log(title = "删除请假单", businessType = BusinessType.DELETE)
    @DeleteMapping("/delQjDocument/{docNo}")
    public void delQjDocument(String docNo) {
        oaQjdDocumentService.delQjDocument(docNo);
    }

}