package com.usky.oa.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 审批表
 * </p>
 *
 * @author fu
 * @since 2024-12-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class OaApproval implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 审批表主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 单据编号
     */
    private String docNo;

    /**
     * 审批人id
     */
    private Long approvalUid;

    /**
     * 审批类型（0:审批，1:知会）
     */
    private Integer type;

    /**
     * 审批状态(1:审批中, 2:审批通过, 3:审批不通过)
     */
    private Integer approvalStatus;

    /**
     * 审批意见
     */
    private String opinion;

    /**
     * 提交时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime submitDate;

    /**
     * 审批时间
     */
    private LocalDateTime approvalDate;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 部门id
     */
    private Long deptId;

    /**
     * 租户id
     */
    private Integer tenantId;


}
