package com.usky.oa.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 单据总表
 * </p>
 *
 * @author fu
 * @since 2024-12-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class OaDocument implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 单据总表主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 表单定义表主键
     */
    private Integer formId;

    /**
     * 表单标识
     */
    private String type;

    /**
     * 单据编号
     */
    private String docNo;

    /**
     * 申请人id
     */
    private Long proposer;

    /**
     * 单据状态 (0:未提交可以修改,1:审批中,2:审批通过,3:审批不通过)
     */
    private Integer docStatus;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 部门id
     */
    private Long deptId;

    /**
     * 租户id
     */
    private Integer tenantId;


}
