package com.usky.oa.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 表单定义表
 * </p>
 *
 * @author fu
 * @since 2024-12-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class OaFormDefinition implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 表单定义表主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 表单名称
     */
    private String formName;

    /**
     * 所在分组
     */
    private Integer formGroup;

    /**
     * 表单说明
     */
    private String formExplain;

    /**
     * 单据类型（0：内置表单据；1：自定义表单据）
     */
    private Integer formType;

    /**
     * 表单设计器配置数据
     */
    private String fieldInfo;

    /**
     * 流程设计器配置数据
     */
    private String flowInfo;

    /**
     * 表单版本
     */
    private Integer formVersion;

    /**
     * 表单标识（必须字母，小于4位）
     */
    private String formSign;

    /**
     * 表单图标
     */
    private String formImage;

    /**
     * 表单权限范围（0：指定部门可见；1：全员可见；2：指定人可见）
     */
    private Integer formScope;

    /**
     * 表单状态（1：启用；2：停用）
     */
    private Integer formStatus;

    /*
     * 单据编号
     */
    //private Integer docNo;

    /**
     * 可见部门id集合
     */
    private String deptIds;

    /**
     * 可见人id集合
     */
    private String userIds;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;

    /**
     * 部门id
     */
    private Long deptId;

    /**
     * 租户id
     */
    private Integer tenantId;


}
