package com.usky.oa.service;

import com.usky.oa.domain.OaJbdDocument;
import com.usky.common.mybatis.core.CrudService;

/**
 * <p>
 * 加班单据表 服务类
 * </p>
 *
 * @author fu
 * @since 2025-01-02
 */
public interface OaJbdDocumentService extends CrudService<OaJbdDocument> {

    /**
     * @description: 新增加班单据
     * @author: fyc
     * @email yuchuan.fu@chinausky.com
     * @date: 2025/1/2 14:00
     * @param: [oaJbDocument]
     * @return: void
     **/
    void add(OaJbdDocument oaJbdDocument);

    /**
     * @description: 更新加班单据
     * @author: fyc
     * @email yuchuan.fu@chinausky.com
     * @date: 2025/1/2 15:43
     * @param: [oaJbDocument]
     * @return: void
     **/
    void update(OaJbdDocument oaJbdDocument);

    /**
     * @description: 删除加班单据
     * @author: fyc
     * @email yuchuan.fu@chinausky.com
     * @date: 2025/1/2 15:43
     * @param: [id]
     * @return: void
     **/
    void delByDocNo(String docNo);

}
