package com.usky.oa.service;

import com.usky.oa.domain.OaQjdDocument;
import com.usky.common.mybatis.core.CrudService;

/**
 * <p>
 * 请假单据表 服务类
 * </p>
 *
 * @author fu
 * @since 2024-12-10
 */

public interface OaQjdDocumentService extends CrudService<OaQjdDocument> {

    /**
     * @description: 新增请假单据
     * @author: fyc
     * @email yuchuan.fu@chinausky.com
     * @date: 2024/12/26 14:15
     * @param: [oaQjDocument]
     * @return: void
     **/
    void addQjDocument(OaQjdDocument oaQjdDocument);

    /**
     * @description: 修改请假单据
     * @author: fyc
     * @email yuchuan.fu@chinausky.com
     * @date: 2024/12/26 14:15
     * @param: [oaQjDocument]
     * @return: void
     **/
    void updateQjDocument(OaQjdDocument oaQjdDocument);

    /**
     * @description: 删除请假单据
     * @author: fyc
     * @email yuchuan.fu@chinausky.com
     * @date: 2024/12/26 15:20
     * @param: [id]
     * @return: void
     **/
    void delQjDocument(String docNo);
}
